Subject: Re: Disappearing mount points with WinNT 3.51/4.0
From: [email-masked] (Derek C. Lee)

23 Dec 1997 18:34:31 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Richard Henry Wood)
Cc: [email-masked]

> 
> This is strange.  I don't see my mount points disappear when I
> close my bash session.  I'm running WinNT Server 4.0 Service
> Pack 3.
> 
> What variant of NT are you running, exactly?

I'm running NT 4.0 Service Pack 3, NT 3.51 Service Pack 5.
After reading your email, I did some more investigation. 
I forgot to mention that I have been logging into the NT servers
using a telnet server and then setting the mount points. When I set
the mount points this way, I do not have permission to permanently
alter the system registry which stores the mount points. If I login
from the machine console, my mount points remain.
When bash is run, it changes the registry entries in
HKEY_CURRENT_USER->Software->Cygnus Solutions->CYGWIN.DLL setup
->b15.0->mounts

(says b15 even though I'm running b18)

If I login remotely, the registry settings for the current 
user are used instead of the user being logged in.
I'm not sure how to get around this problem other than adding
mount commands in the .profile or .bashrc. A problem
arises if another user is logged in that has setup
different mount points or has removed some. The remote user
will see those mounts.

I don't suppose there is a way to setup global mounts for all users...
Can I make a similar registry setting in HKEY_LOCAL_MACHINE?

Thanks,
Derek

> -dick
> 
> raf wrote:
> > 
> > >In win95 I don't need to remount my mount points
> > >once they are set. In WinNT 4.0 and WinNT 3.51,
> > >my mount points disappear if I close my bash
> > >session.  How do I make the mount points
> > >persistent in WinNT?  I know the mount points
> > >live in the registry but I'm not sure how
> > >to keep them there. Any help would be greatly
> > >appreciated.
> > 
> > you can place mount commands in /etc/bashrc or ~/.bashrc
> > this is tacky and slow (to start bash) but it works.
> > i hope you find a better method.
> > 
> > raf
> > 
> > -
> > For help on using this list (especially unsubscribing), send a message to
> > "[email-masked]" with one line of text: "help".
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
> 

Derek C. Lee                              [email-masked]
Chain Link Technologies, Inc.             http://www.clti.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".